import { Observable, Subject } from "rxjs"
import { AdapterInterface, AdapterManagerInterface, GeneralEvent, TransportService } from "../interface/interface"

export class AdapterManagerBase implements AdapterManagerInterface {
    protected event!: Subject<GeneralEvent<any>>
    protected transportServiceArray: TransportService[] = []
    protected adapters: AdapterInterface[] = []

    constructor() {
        // logic here
    }

    subscribeForAdapters(): Observable<AdapterInterface> {
        throw new Error("Method not implemented.")
    }

}



